Bug 19076 - Add new attributes to <meta> element to indicate that the page is an app and not a document
Summary: Add new attributes to <meta> element to indicate that the page is an app and ...
Status: RESOLVED WORKSFORME
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P2 normal
Target Milestone: ---
Assignee: Edward O'Connor
QA Contact: HTML WG Bugzilla archive list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-26 09:18 UTC by Hao Jing
Modified: 2013-02-07 00:01 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hao Jing 2012-09-26 09:18:25 UTC
Currently Web App is more and more popular with its growing performance. Web App launched as a Web page,it is necessary to distinguish a Web App and a common Web page in some scenarios.Fox example, mobile user wants to get "recent task list" which contains not only the native apps but also the Web Apps by long pressing "Home" button. In such case, the mobile phone should differentiate Web App and common web page in order to avoid falling back on Browser to get recent Web Apps. Another use case is that search service will benefits from the identification of Web page type for it will be more accurate and fast to search Web Apps by filtering out common Web page.

However, it seems that there is no such mark can indicate if a Web page is Web App or not, we suggest two proposals to do it by taking extension to <meta> element.


Proposal one:

1.Add an attribute "page-type" for <meta> element to indicate the type of a Web page. If its value is "web app" we identified the Web page as a Web App. if its value is "common-page" or empty we can tell the page is a common web page.
2.Add an attribute "app-type" for <meta> element to classify App type if the page is a Web App. Its value can be "games","news","social","travel","weather","utilities","sports" and so on.This attribute should not be provided unless the attribute "page-type" is signed to "Web page".

Sample for this proposal:

<!DOCTYPE html>
<html>
<head>
<title>Angry Birds</title>
<meta page-type="web-app" app-category="games">
</head>
...
</html>


Proposal two:

1.Add an attribute "webapp" for <meta> element to indicate whether a web page is Web App or not. The default value is "true" which means the web page is a Web App, and the "false" value means Web page is a common Web page.
2.Add an attribute "app-type" for <meta> element to classify App type if the page is a Web App,its value can be "game","news","social","travel","weather","utilities","sports" and so on.This attribute should not be provided unless the attribute "webapp" is signed to "web page".

Sample for this proposal:

<!DOCTYPE html>
<html>
<head>
<meta name=”description” content=”Angry Birds”/>
<meta webapp="true" app-type="games">
</head>
...
</html>
Comment 1 Henri Sivonen 2012-09-26 11:48:31 UTC
Before speccing, be sure to research what IE’s taskbar integration, Ubuntu’s Unity integration, iOS homescreen integration, Firefox OS, etc. use.
Comment 2 Hao Jing 2012-09-27 08:16:07 UTC
Actually it’s not very important to distinguish Web App and common web page in PC, for the user can easily select the recently opened Web Apps or common web pages by clicking the tab in the browser. But in mobile phone there is no such convenience because of the limited screen size. So we just focus on mobile platform. 

For iOS, when user double-click home button, browser's icon will appear in recent task list(if we just used) but not the Web Apps or web pages in the browser, same problem happens to Android platform when user long press home button.

For Firefox OS, it may differentiate Web App from common web page if the Web App is packaged and installed in OS, but we are not sure whether it can do that for Web Apps opened in browser. Could any member from Mozilla help us to confirm this? we will very appreciate it!
Comment 3 Robin Berjon 2013-01-21 15:57:44 UTC
Mass move to "HTML WG"
Comment 4 Robin Berjon 2013-01-21 16:00:22 UTC
Mass move to "HTML WG"
Comment 5 Edward O'Connor 2013-02-07 00:01:13 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: No spec change.
Rationale: There is existing and active work in the WebApps WG and
elsewhere on defining manifest and container formats for Web
applications. OSes and UAs that want to support the requested behavior
can use the presence of such indicators to indicate that the current
page is a Web app. We shouldn't dictate OS behavior here.